unit gNutFrame;

//ancestor for all gnutella transport aware frames in this app.

(****************************************************************
Copyright (C)2000, Michael Ax. Created 2000. All rights reserved.
License to copy, use also for making and using derivative works
of this software is granted provided that that such works are
identified as "derived from the GnutViewer project" in all material
mentioning or referencing the derived work. Michael Ax makes no
representations concerning either the merchantability of this software
or the suitability of this software for any particular purpose. It is
provided "as is" without express or implied warranty of any kind.
These notices must be retained in this documentation and/or software.
*****************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs, gNutella;

type
  TGnutellaCustomFrame = class(TFrame)
  private
    { Private declarations }
    Timing: Integer;
  public
    { Public declarations }
    GnuTella: TGnuTellaTrans;
    procedure Init(aGnuTella: TGnuTellaTrans); virtual;

    //i didnt get to finish this timing bit quite yet.
    procedure TimingOn(aControl:TControl);
    procedure TimingOff;
    end;

const
  nLines=5000;

implementation

{$R *.DFM}

uses
  gNutUtil;

procedure TGnutellaCustomFrame.Init(aGnuTella: TGnuTellaTrans);
begin
  GnuTella:= aGnuTella;
  Tag:= 0;
end;

procedure TGnutellaCustomFrame.TimingOn(aControl:TControl);
begin
  Timing:= WinTimer;
//  if assigned(aControl) then
//    aControl.Caption:= inttostr(tag);
end;

procedure TGnutellaCustomFrame.TimingOff;
begin
  Timing:= WinTimer-Timing;
  Tag:= Tag+Timing;
end;

end.
